Results 1 to 4 of 4

Thread: Installing conky with lua and cairo?

  1. #1

    Default Installing conky with lua and cairo?

    Hello,
    I have some problems installing conky. I need cairo working with conky and itt's not, if I install conky via rpm. So I tried to compile conky from source with:
    Code:
    ./configure --enable-lua-cairo
    ant that fails, because it requires tolua++. So I tried to compile tolua++ (uses scons), but that doesn't work:
    Code:
    scons: Reading SConscript files ...
    
    scons: warning: The Options class is deprecated; use the Variables class instead.
    File "/home/jaa/Documents/obrzky/Plasmoidy/conky stuf/tolua++-1.0.93/SConstruct", line 19, in <module>
    ('********* tolua is ', 'bin/tolua++_bootstrap')
    
    scons: warning: The env.Copy() method is deprecated; use the env.Clone() method instead.
    File "/home/jaa/Documents/obrzky/Plasmoidy/conky stuf/tolua++-1.0.93/src/tests/SCsub", line 2, in <module>
    scons: done reading SConscript files.
    scons: Building targets ...
    gcc -o bin/tolua++_bootstrap src/bin/tolua.o src/bin/toluabind_default.o lib/libtolua++_static.a -Llib -llua50 -llualib50 -ldl -lm
    /usr/lib/gcc/i586-suse-linux/4.4/../../../../i586-suse-linux/bin/ld: cannot find -llua50
    collect2: ld returned 1 exit status
    scons: *** [bin/tolua++_bootstrap] Error 1
    scons: building terminated because of errors.
    Do you have any idea how to make this work?
    I have openSUSE 11.2, KDE 4.3.5, conky 1.8.
    Thanks for reply

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,672
    Blog Entries
    15

    Default Re: Installing conky with lua and cairo?

    Quote Originally Posted by Jaa-c
    Hello,
    I have some problems installing conky. I need cairo working with conky
    and itt's not, if I install conky via rpm. So I tried to compile conky
    from source with:
    Hi
    You can check the compile options with conky -V
    Code:
    Conky 1.8.0 compiled Wed May 19 03:23:21 UTC 2010 for Linux 2.6.32
    (i686)
    
    Compiled in features:
    
    System config file: /etc/conky/conky.conf
    Package library path: /usr/lib/conky
    
    X11:
    * Xdamage extension
    * XDBE (double buffer extension)
    * Xft
    * ARGB visual
    
    Music detection:
    * MPD
    * MOC
    
    General:
    * math
    * hddtemp
    * portmon
    * wireless
    * config-output
    * Imlib2
    * apcupsd
    * iostats
    * ncurses
    * Lua
    
    Lua bindings:
    * Cairo
    * Imlib2
    I have also compiled tolua++ and is available here;
    http://software.opensuse.org/search?...penSUSE%3A11.2
    For conky it's in the same repository, read the binary description to
    see the options enabled.
    http://software.opensuse.org/search?...penSUSE%3A11.2

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.3 Milestone 7 (i586) Kernel 2.6.34-8-desktop
    up 10:17, 2 users, load average: 0.25, 0.09, 0.03
    ASUS eeePC 1000HE ATOM N280 1.66GHz | GPU Mobile 945GM/GMS/GME


  3. #3

    Default Re: Installing conky with lua and cairo?

    Great, i haven't noticed the binary info, now i've installed the right rpm and all works just fine..
    Thanks

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,672
    Blog Entries
    15

    Default Re: Installing conky with lua and cairo?

    Quote Originally Posted by Jaa-c
    Great, i haven't noticed the binary info, now i've installed the right
    rpm and all works just fine..
    Thanks
    I also built a local version with nvidia enabled which isn't on the OBS.

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.45-0.1-default
    up 22:11, 2 users, load average: 0.07, 0.08, 0.09
    GPU GeForce 8600 GTS Silent - CUDA Driver Version: 195.36.15


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •